Skip to main content
GET
/
v1
/
entities
List Entities
curl --request GET \
  --url https://api.waycore.com/v1/entities \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "entityId": "<string>",
      "externalEntityId": "<string>",
      "isDefaultOrgEntity": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "metadata": {}
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "<string>"
  },
  "meta": {
    "requestId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Opaque API key passed as Authorization: Bearer <key>. Keys are organization-bound, environment-bound (live or test), scope-carrying, and expiring. Create and manage keys via the console.

Query Parameters

cursor
string | null

Pagination cursor from a previous response.

limit
integer
default:100

Maximum number of items to return.

Required range: 1 <= x <= 500
externalEntityId
string | null

Filter by caller-defined external entity identifier.

Response

Successful Response

data
Entity · object[]
required
pagination
Pagination · object
required
meta
Meta · object
required